### Method

# Gtk.Dialog.get_response_for_widget

#### Declaration [src]

    int
    gtk_dialog_get_response_for_widget (
      GtkDialog* dialog,
      GtkWidget* widget
    )

#### Description [src]

Gets the response id of a widget in the action area of a dialog.

#### Parameters

`widget` | `GtkWidget`
| a widget in the action area of `dialog`
| Ownership is not transferred to the callee

#### Return value

Returns: `int`
the response id of `widget`, or `GTK_RESPONSE_NONE` if `widget` doesn’t have a response id set.